%define	name	imp
%define	version	3.2.2
%define	release	3mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}
%define build_safemode	0
%{expand: %{?_without_safemode:        %%define build_safemode 0}}
%{expand: %{?_with_safemode:           %%define build_safemode 1}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Internet Messaging Program: webmail access to IMAP/POP3 accounts
License:	GPL
Group:		System/Servers
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-apache.conf.bz2
Patch0:		%{name}-3.1-config-servers.patch.bz2
Patch1:		%{name}-3.1-config-prefs.patch.bz2
Patch2:		%{name}-3.1-config-turba-passwd.patch.bz2
Patch3:		%{name}-3.2.1-safemode.patch.bz2
URL:		http://www.horde.org/imp/
Requires:	mod_php >= 4.3.0
Requires:	php-common >= 430
Requires:	php-xml >= 4.3.0
Requires:	php-domxml >= 4.3.0
Requires:	php-pear >= 4.3.0
Requires:	php-pear-Log >= 4.3.0
Requires:	php-pear-Mail_Mime >= 4.3.0
Requires:	php-pear-Net_Socket >= 4.3.0
Requires:	apache >= 1.3.22
Requires:	php-imap >= 4.3.0
Requires:	php-ldap >= 4.3.0
Requires:	horde >= 2.2.1
Requires:	turba >= 1.1
Requires:	poppassd
Provides:	ADVXpackage
Provides:	imp3
Obsoletes:	imp3
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 
%patch1 -p0 
%patch2 -p0
%if %build_safemode
    %patch3 -p1
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/scripts
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/trailer.txt
touch $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/trailer.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

if [ $1 eq 0 ]; then
    perl -pi -e 's/localhost.localdomain/'`hostname`'/' %{ap_htdocsdir}/horde/%{name}/config/server.php
fi

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# scripts
%{_datadir}/%{name}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{name}/download
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/templates
%{ap_htdocsdir}/horde/%{name}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.txt

%changelog
* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.2-3mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{name}.conf instead
- scripts now in  %{_datadir}/{name}

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.2.2-2mdk
- changed name to imp, old version doesn't exist anymore
- requires horde, not horde2
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.2.2-1mdk
- 3.2.2
- speac cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- drop ugly configuration scripts, perl rulez
- fixed URL
- removed implicit dependencies

* Tue Jul 29 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2.1-2mdk
- Don't use 'Mail/' as folder prefix.

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2.1-1mdk
- Release 3.2.1.

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-3mdk
- re-add update-maildomain.sh to the post scripts (thanks David Walser)

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-2mdk
- new macros from ADVX-build

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 3.1 final
	- Regenerate prefs patch

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.3mdk
- Add script to update maildomain to hostname
  (so mails sent from imp have the right From: address)

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.2mdk
- Fix thinko in Patch0

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.1mdk
- Regenerate patches

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-2mdk
- Added config patches.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-1mdk
- 3.0.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 3.0 release 1

* Mon Oct 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-7mdk
- fixed a bug in postconf.php3 causing warnings messages during password
  changes.

* Thu Sep 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-6mdk
- replaced pg_connect to pg_pconnect in lib/db.pgsql, to avoid the
  warning "...is not a valid PostgreSQL link...".

* Tue Sep 11 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-5mdk
- fix mod_php prereq

* Tue Sep 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-4mdk
- modified config files for poppassd support.

* Mon Sep 03 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-3mdk
- fix post-install script.
- Require Apache, php-ldap.

* Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-2mdk
- fix httpd.conf entry.

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.6-1mdk
- updated to 2.2.6.

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.4-1mdk
- initial mandrake release.

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.4 release 1rh7.
